KURLBarItem class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KURLBarItem Class Reference

An item to be used in KURLBar / KURLBarListBox. More...

`#include <kurlbar.h>`

Inheritance diagram for KURLBarItem:

[legend]
Collaboration diagram for KURLBarItem:

[legend]
List of all members.

## Public Member Functions
| KURLBarItem (KURLBar *parent, const KURL &url, const QString &description=QString::null, const QString &icon=QString::null, KIcon::Group group=KIcon::Panel)
| Creates a KURLBarItem to be used in the `parent` KURLBar.
| ~KURLBarItem ()
| Destroys the item.
void | setURL (const KURL &url)
| Sets `url` for this item.
void | setIcon (const QString &icon, KIcon::Group group=KIcon::Panel)
| `sets` the icon for this item.
void | setDescription (const QString &desc)
| Sets the description of this item that will be shown as item-text.
void | setToolTip (const QString &tip)
| Sets a tooltip to be used for this item.
QSize | sizeHint () const
| returns the preferred size of this item Since: 3.1
virtual int | width (const QListBox *) const
| returns the width of this item.
virtual int | height (const QListBox *) const
| returns the height of this item.
const KURL & | url () const
| returns the url of this item.
const QString & | description () const
| returns the description of this item.
const QString & | icon () const
| returns the icon of this item.
QString | toolTip () const
| returns the tooltip of this item.
KIcon::Group | iconGroup () const
| returns the icon-group of this item (determines icon-effects).
virtual const QPixmap * | pixmap () const
| returns the pixmap of this item.
void | setApplicationLocal (bool local)
| Makes this item a local or global one.
bool | applicationLocal () const
| returns whether this is a global item or a local one.
## Protected Member Functions
virtual void | paint (QPainter *p)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An item to be used in KURLBar / KURLBarListBox.

All the properties (url, icon, descroption, tooltip) can be changed dynamically.

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

See also:
  KURLBar

  KURLBarListBox

Definition at line 42 of file kurlbar.h.

## Constructor & Destructor Documentation

KURLBarItem::KURLBarItem | ( | KURLBar * | parent,
|  | const KURL & | url,
|  | const QString & | description = QString::null,
|  | const QString & | icon = QString::null,
|  | KIcon::Group | group = KIcon::Panel
| ) |

| Creates a KURLBarItem to be used in the `parent` KURLBar. You need to insert the item into the listbox manually, if you don't use KURLBar::insertItem(). If description is empty, it will try to use the filename/directory of `url`, which will be shown as text of the item. `url` will be used as tooltip, unless you set a different tip with setToolTip() Definition at line 74 of file kurlbar.cpp. References KStdAccel::description(), setDescription(), and setIcon().

KURLBarItem::~KURLBarItem | ( |  | ) |

| Destroys the item. Definition at line 88 of file kurlbar.cpp.

## Member Function Documentation

void KURLBarItem::setURL | ( | const KURL & | url | ) |

| Sets `url` for this item. Also updates the visible text to the filename/directory of the url, if no description is set. See also: url Definition at line 92 of file kurlbar.cpp. References QString::isEmpty(). Referenced by KURLBar::editItem().

void KURLBarItem::setIcon | ( | const QString & | icon,
|  | KIcon::Group | group = KIcon::Panel
| ) |

| `sets` the icon for this item. See KIconLoader for a description of the icon groups. See also: icon Definition at line 99 of file kurlbar.cpp. References KIcon::DefaultState, KGlobal::iconLoader(), KIconLoader::loadIcon(), and KMimeType::pixmapForURL(). Referenced by KURLBar::editItem(), KURLBarItem(), and KURLBar::setIconSize().

void KURLBarItem::setDescription | ( | const QString & | desc | ) |

| Sets the description of this item that will be shown as item-text. See also: description Definition at line 111 of file kurlbar.cpp. References KURL::fileName(). Referenced by KURLBar::editItem(), and KURLBarItem().

void KURLBarItem::setToolTip | ( | const QString & | tip | ) |

| Sets a tooltip to be used for this item. See also: #tooolTip Definition at line 117 of file kurlbar.cpp.

QSize KURLBarItem::sizeHint | ( |  | ) | const

| returns the preferred size of this item Since: 3.1 Definition at line 185 of file kurlbar.cpp. References QPixmap::height(), QListBoxPixmap::height(), KURLBar::iconSize(), KURLBarListBox::isVertical(), pixmap(), KIcon::SizeMedium, QPixmap::width(), and QListBoxPixmap::width(). Referenced by height(), KURLBar::sizeHint(), and width().

int KURLBarItem::width | ( | const QListBox * |  | ) | const`[virtual]`

| returns the width of this item. Reimplemented from QListBoxPixmap. Definition at line 208 of file kurlbar.cpp. References sizeHint(), and QSize::width().

int KURLBarItem::height | ( | const QListBox * |  | ) | const`[virtual]`

| returns the height of this item. Reimplemented from QListBoxPixmap. Definition at line 216 of file kurlbar.cpp. References QSize::height(), and sizeHint().

const KURL& KURLBarItem::url | ( |  | ) | const`[inline]`

| returns the url of this item. See also: setURL Definition at line 106 of file kurlbar.h. Referenced by KURLBar::currentURL(), KURLBarListBox::dragObject(), KURLBar::editItem(), KURLBar::setCurrentItem(), KURLBar::slotContextMenuRequested(), KURLBar::slotSelected(), KFileDialog::toggleSpeedbar(), and KURLBar::writeItem().

const QString& KURLBarItem::description | ( |  | ) | const`[inline]`

| returns the description of this item. See also: setDescription Definition at line 111 of file kurlbar.h. Referenced by KURLBar::editItem(), and KURLBar::writeItem().

const QString& KURLBarItem::icon | ( |  | ) | const`[inline]`

| returns the icon of this item. See also: setIcon Definition at line 116 of file kurlbar.h. Referenced by KURLBar::editItem(), KURLBar::setIconSize(), and KURLBar::writeItem().

QString KURLBarItem::toolTip | ( |  | ) | const

| returns the tooltip of this item. See also: setToolTip Definition at line 122 of file kurlbar.cpp. References QString::isEmpty(), and KURL::prettyURL().

KIcon::Group KURLBarItem::iconGroup | ( |  | ) | const`[inline]`

| returns the icon-group of this item (determines icon-effects). See also: setIcon Definition at line 126 of file kurlbar.h. References KIcon::Group. Referenced by KURLBar::setIconSize(), and KURLBar::writeItem().

virtual const QPixmap* KURLBarItem::pixmap | ( |  | ) | const`[inline, virtual]`

| returns the pixmap of this item. Reimplemented from QListBoxPixmap. Definition at line 130 of file kurlbar.h. Referenced by sizeHint().

void KURLBarItem::setApplicationLocal | ( | bool | local | ) | `[inline]`

| Makes this item a local or global one. See also: applicationLocal Definition at line 136 of file kurlbar.h. Referenced by KURLBar::editItem(), and KURLBar::insertItem().

bool KURLBarItem::applicationLocal | ( |  | ) | const`[inline]`

| returns whether this is a global item or a local one. KURLBar can differentiate between global and local items (only for the current application) for easy extensiblity. See also: setApplicationLocal Definition at line 143 of file kurlbar.h. Referenced by KURLBar::editItem(), and KURLBar::writeConfig().

The documentation for this class was generated from the following files:

- kurlbar.h
- kurlbar.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:23:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001